powerpc/powernv: Introduce address translation services for Nvlink2

Bug #1690412 reported by bugproxy on 2017-05-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
The Ubuntu-power-systems project
High
Unassigned
linux (Ubuntu)
High
Manoj Iyer
Zesty
High
Unassigned

Bug Description

== Comment: #0 - Breno Leitao <email address hidden> - 2017-05-12 11:44:58 ==

Introduce address translation services for Nvlink2

  Nvlink2 supports address translation services (ATS) allowing devices
    to request address translations from an mmu known as the nest MMU
    which is setup to walk the CPU page tables.

abfe802 powerpc/powernv: Require MMU_NOTIFIER to fix NPU build
1ab66d1 powerpc/powernv: Introduce address translation services for Nvlink2
4c3b89e powerpc/powernv: Add sanity checks to pnv_pci_get_{gpu|npu}_dev
2475a2b drivers/of/base.c: Add of_property_read_u64_index

bugproxy (bugproxy) on 2017-05-12
tags: added: architecture-ppc64le bugnameltc-154468 severity-high targetmilestone-inin---
Changed in ubuntu:
assignee: nobody → Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage)
affects: ubuntu → linux (Ubuntu)
Manoj Iyer (manjo) wrote :

Is this bug targeted for 16.04.3 ?

Changed in linux (Ubuntu):
assignee: Ubuntu on IBM Power Systems Bug Triage (ubuntu-power-triage) → Manoj Iyer (manjo)
status: New → Incomplete
Manoj Iyer (manjo) on 2017-05-17
tags: added: ubuntu-16.04
Breno Leitão (breno-leitao) wrote :

Yes. This is targeted against 16.04.3 - 4.10 kernel

Breno Leitão (breno-leitao) wrote :
Manoj Iyer (manjo) on 2017-05-18
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Changed in ubuntu-power-systems:
status: New → In Progress
Changed in linux (Ubuntu Zesty):
status: New → In Progress
Seth Forshee (sforshee) on 2017-05-24
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty

------- Comment From <email address hidden> 2017-06-23 03:16 EDT-------
For what it is worth the patches look correct but due to Nvidia driver problems we are still trying to test this feature. Will post an update next week.

- Alistair

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-06-25 22:05 EDT-------
We were unable to fully test these patches as according to Nvidia we also need https://patchwork.ozlabs.org/patch/722701/ for ATS to work in their driver.

Do we need to raise a separate bugzilla for that or can this be included as part of this bugzilla?

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-06-25 22:12 EDT-------
Actually two other required fixes have gone upstream into 4.12-rc6:

http://patchwork.ozlabs.org/patch/778160/
http://patchwork.ozlabs.org/patch/775595/

- Alistair

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-06-28 17:30 EDT-------
(In reply to comment #10)
> Actually two other required fixes have gone upstream into 4.12-rc6:
>
> http://patchwork.ozlabs.org/patch/778160/
> http://patchwork.ozlabs.org/patch/775595/

Marking this bug as verified and tracking this new patches into a new bug.

tags: added: verification-done-zesty
removed: verification-needed-zesty
Launchpad Janitor (janitor) wrote :
Download full text (19.7 KiB)

This bug was fixed in the package linux - 4.10.0-26.30

---------------
linux (4.10.0-26.30) zesty; urgency=low

  * linux: 4.10.0-26.30 -proposed tracker (LP: #1700528)

  * CVE-2017-1000364
    - Revert "UBUNTU: SAUCE: mm: Only expand stack if guard area is hit"
    - Revert "mm: do not collapse stack gap into THP"
    - Revert "mm: enlarge stack guard gap"
    - mm: larger stack guard gap, between vmas
    - mm: fix new crash in unmapped_area_topdown()
    - Allow stack to grow up to address space limit

linux (4.10.0-25.29) zesty; urgency=low

  * linux: 4.10.0-25.29 -proposed tracker (LP: #1699028)

  * CVE-2017-1000364
    - SAUCE: mm: Only expand stack if guard area is hit

  * CVE-2017-9074
    - ipv6: Prevent overrun when parsing v6 header options
    - ipv6: Check ip6_find_1stfragopt() return value properly.

  * [Zesty] QDF2400 ARM64 server - NMI watchdog: BUG: soft lockup - CPU#8 stuck
    for 22s! (LP: #1680549)
    - iommu/dma: Stop getting dma_32bit_pfn wrong
    - iommu/dma: Implement PCI allocation optimisation
    - iommu/dma: Convert to address-based allocation
    - iommu/dma: Clean up MSI IOVA allocation
    - iommu/dma: Plumb in the per-CPU IOVA caches
    - iommu/iova: Fix underflow bug in __alloc_and_insert_iova_range

  * Zesty update to 4.10.17 stable release (LP: #1692898)
    - xen: adjust early dom0 p2m handling to xen hypervisor behavior
    - target: Fix compare_and_write_callback handling for non GOOD status
    - target/fileio: Fix zero-length READ and WRITE handling
    - iscsi-target: Set session_fall_back_to_erl0 when forcing reinstatement
    - usb: xhci: bInterval quirk for TI TUSB73x0
    - usb: host: xhci: print correct command ring address
    - USB: serial: ftdi_sio: add device ID for Microsemi/Arrow SF2PLUS Dev Kit
    - USB: Proper handling of Race Condition when two USB class drivers try to
      call init_usb_class simultaneously
    - USB: Revert "cdc-wdm: fix "out-of-sync" due to missing notifications"
    - staging: vt6656: use off stack for in buffer USB transfers.
    - staging: vt6656: use off stack for out buffer USB transfers.
    - staging: gdm724x: gdm_mux: fix use-after-free on module unload
    - staging: wilc1000: Fix problem with wrong vif index
    - staging: comedi: jr3_pci: fix possible null pointer dereference
    - staging: comedi: jr3_pci: cope with jiffies wraparound
    - usb: misc: add missing continue in switch
    - usb: gadget: legacy gadgets are optional
    - usb: Make sure usb/phy/of gets built-in
    - usb: hub: Fix error loop seen after hub communication errors
    - usb: hub: Do not attempt to autosuspend disconnected devices
    - x86/boot: Fix BSS corruption/overwrite bug in early x86 kernel startup
    - selftests/x86/ldt_gdt_32: Work around a glibc sigaction() bug
    - x86, pmem: Fix cache flushing for iovec write < 8 bytes
    - um: Fix PTRACE_POKEUSER on x86_64
    - perf/x86: Fix Broadwell-EP DRAM RAPL events
    - KVM: x86: fix user triggerable warning in kvm_apic_accept_events()
    - KVM: arm/arm64: fix races in kvm_psci_vcpu_on
    - arm64: KVM: Fix decoding of Rt/Rt2 when trapping AArch32 CP accesses
    - block: fix blk_integrity_register to use templ...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
bugproxy (bugproxy) on 2017-06-30
tags: added: targetmilestone-inin16043
removed: targetmilestone-inin---
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-12 13:09 EDT-------
*** Bug 156217 has been marked as a duplicate of this bug. ***

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2017-07-13 12:18 EDT-------
*** Bug 153763 has been marked as a duplicate of this bug. ***

Manoj Iyer (manjo) on 2017-07-19
Changed in linux (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu Zesty):
importance: Undecided → High
Changed in ubuntu-power-systems:
importance: Undecided → High
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers